// this will contain global default theme vars
// ant default vars
// https://github.com/ant-design/ant-design/blob/master/components/style/themes/default.less
@import "~antd/lib/style/themes/default";
@import "~antd/lib/style/color/colors";
@import "~antd/lib/style/themes/default";
// @primary-color: #3974D8; // primary color for all components
@link-color: #1890ff; // link color
@success-color: #22C993; // success state color
@primary-color: #43a0f7;
// @primary-color: #1890ff; // primary color for all components
// @link-color: #1890ff; // link color
// @success-color: #0BB07B; // success state color
@warning-color: #FFBB38; // warning state color
@error-color: #F03D3D;
@btn-danger-color: #ED7A7A;

// @warning-color: #E6BC6A; // warning state color
// @error-color: #ED7A7A;

// background gray
@bg-lighter: #FCFCFD;
@bg-light: #F8F9FB;
@bg-medium: #F1F2F4;
@bg-dark: #E1E4E8;

// Background color for `<body>`
@body-background        : #fff;
// Base background color for most components
@component-background   : #fff;
@font-family: 'Source Sans Pro';
@heading-color          : #0A1F44;
@text-color             : #53627C;
@text-color-secondary   : #8A94A6;
@heading-color-dark     : fade(#fff, 100%);
@text-color-dark        : fade(#fff, 85%);
@text-color-secondary-dark: fade(#fff, 65%);
@font-size-base         : 14px;
@font-size-lg           : @font-size-base + 2px;
@font-size-sm           : 12px;
@line-height-base       : 1.5;
@border-radius-base     : 4px;
@border-radius-sm       : 2px;

@font-size-base: 14px; // major text font size
@heading-color: #354052; // heading text color
@text-color: #354052; // major text color
@text-color-secondary: rgba(0, 0, 0, .45); // secondary text color
@disabled-color: rgba(0, 0, 0, .25); // disable state color
@border-radius-base: 4px; // major border radius
@border-color-base: #d9d9d9; // major border color
@box-shadow-base: 0 2px 8px rgba(0, 0, 0, .15); // major shadow for layers
// @icon-url is handled in the webpack.${environment}.config and assets/styles/common/iconfonts.less files

// SUCCESS gradiation
@success-1: color(~`colorPalette("@{success-color}", 1)`); // replace tint(@primary-color, 90%)
@success-2: color(~`colorPalette("@{success-color}", 2)`); // replace tint(@primary-color, 80%)
@success-3: color(~`colorPalette("@{success-color}", 3)`); // unused
@success-4: color(~`colorPalette("@{success-color}", 4)`); // unused
@success-5: color(~`colorPalette("@{success-color}", 5)`); // color used to control the text color in many active and hover states, replace tint(@primary-color, 20%)
@success-6: @success-color; // color used to control the text color of active buttons, don't use, use @primary-color
@success-7: color(~`colorPalette("@{success-color}", 7)`); // replace shade(@primary-color, 5%)
@success-8: color(~`colorPalette("@{success-color}", 8)`); // unused
@success-9: color(~`colorPalette("@{success-color}", 9)`); // unused
@success-10: color(~`colorPalette("@{success-color}", 10)`); // unused

// Warrning gradiation
@warning-1: color(~`colorPalette("@{warning-color}", 1)`); // replace tint(@primary-color, 90%)
@warning-2: color(~`colorPalette("@{warning-color}", 2)`); // replace tint(@primary-color, 80%)
@warning-3: color(~`colorPalette("@{warning-color}", 3)`); // unused
@warning-4: color(~`colorPalette("@{warning-color}", 4)`); // unused
@warning-5: color(~`colorPalette("@{warning-color}", 5)`); // color used to control the text color in many active and hover states, replace tint(@primary-color, 20%)
@warning-6: @warning-color; // color used to control the text color of active buttons, don't use, use @primary-color
@warning-7: color(~`colorPalette("@{warning-color}", 7)`); // replace shade(@primary-color, 5%)
@warning-8: color(~`colorPalette("@{warning-color}", 8)`); // unused
@warning-9: color(~`colorPalette("@{warning-color}", 9)`); // unused
@warning-10: color(~`colorPalette("@{warning-color}", 10)`); // unused

// Error gradiation
@error-1: color(~`colorPalette("@{error-color}", 1)`); // replace tint(@primary-color, 90%)
@error-2: color(~`colorPalette("@{error-color}", 2)`); // replace tint(@primary-color, 80%)
@error-3: color(~`colorPalette("@{error-color}", 3)`); // unused
@error-4: color(~`colorPalette("@{error-color}", 4)`); // unused
@error-5: color(~`colorPalette("@{error-color}", 5)`); // color used to control the text color in many active and hover states, replace tint(@primary-color, 20%)
@error-6: @error-color; // color used to control the text color of active buttons, don't use, use @primary-color
@error-7: color(~`colorPalette("@{error-color}", 7)`); // replace shade(@primary-color, 5%)
@error-8: color(~`colorPalette("@{error-color}", 8)`); // unused
@error-9: color(~`colorPalette("@{error-color}", 9)`); // unused
@error-10: color(~`colorPalette("@{error-color}", 10)`); // unused

// Shadow
@shadow-color: rgba(0, 0, 0, .15);
@box-shadow-base: @shadow-1-down;

@shadow-1-up: 0 0 1px 0 rgba(10, 31, 68, 0.08), 0 1px 1px 0 rgba(10, 31, 68, 0.08);
@shadow-2-up: 0 0 1px 0 rgba(10, 31, 68, 0.08), 0 -3px 4px 0 rgba(10, 31, 68, 0.1);
@shadow-3-up: 0 0 1px 0 rgba(10, 31, 68, 0.08), 0 -8px 10px 0 rgba(10, 31, 68, 0.1);
@shadow-4-up: 0 0 1px 0 rgba(10, 31, 68, 0.1), 0 -18px 18px 0 rgba(10, 31, 68, 0.12);
@shadow-5-up: 0 0 1px 0 rgba(10, 31, 68, 0.1), 0 -26px 26px 0 rgba(10, 31, 68, 0.12);

@shadow-1-down: 0 0 1px 0 rgba(10, 31, 68, 0.08), 0 1px 1px 0 rgba(10, 31, 68, 0.08);
@shadow-2-down: 0 0 1px 0 rgba(10, 31, 68, 0.08), 0 3px 4px 0 rgba(10, 31, 68, 0.1);
@shadow-3-down: 0 0 1px 0 rgba(10, 31, 68, 0.08), 0 8px 10px 0 rgba(10, 31, 68, 0.1);
@shadow-4-down: 0 0 1px 0 rgba(10, 31, 68, 0.1), 0 18px 18px 0 rgba(10, 31, 68, 0.12);
@shadow-5-down: 0 0 1px 0 rgba(10, 31, 68, 0.1), 0 26px 26px 0 rgba(10, 31, 68, 0.12);

@shadow-1-center: 0 0 1px 0 rgba(10, 31, 68, 0.08);
@shadow-2-center: 0 0 4px 0 rgba(10, 31, 68, 0.1);
@shadow-3-center: 0 0 10px 0 rgba(10, 31, 68, 0.1);
@shadow-4-center: 0 0 18px 0 rgba(10, 31, 68, 0.12);
@shadow-5-center: 0 0 26px 0 rgba(10, 31, 68, 0.12);

@shadow-1-left: -3px 0 4px 0 rgba(10, 31, 68, 0.1);
@shadow-2-left: -8px 0 10px 0 rgba(10, 31, 68, 0.1);
@shadow-3-left: -18px 0 18px 0 rgba(10, 31, 68, 0.12);

@shadow-1-right: 3px 0 4px 0 rgba(10, 31, 68, 0.1);
@shadow-2-right: 8px 0 10px 0 rgba(10, 31, 68, 0.1);
@shadow-3-right: 18px 0 18px 0 rgba(10, 31, 68, 0.12);

@shadow-2: 0 4px 12px @shadow-color;


/// gradients colors
@primary2-grad: linear-gradient(135deg, rgb(18, 35, 63) 0%, rgb(20, 44, 85) 100%);
@suggest-grad: linear-gradient(180deg, #1285FF 0%, #20D1FF 100%);
@primary-grad: linear-gradient(135deg, rgb(26, 50, 90) 0%, rgb(48, 104, 202) 100%);
@secondary-grad: linear-gradient(135deg, #916BFF 0%, #3366FF 98.38%);
@tertiary-grad: linear-gradient(135deg, #D438FF 0%, #8C58FF 100%);
@success-grad: linear-gradient(135deg, #57D968 0%, #00D590 100%);
@accent-grad: linear-gradient(135deg, #FF5980 0%, #FFA882 100%);
@warning-grad: linear-gradient(@warning-4, @warning-6);
@error-grad: linear-gradient(@error-4, @error-6);
